@ECHO OFF
echo.
echo ------------------------------------------------
echo CleanFiles.bat Start
echo ------------------------------------------------
echo.
set INSTALL_ROOT=%~1

IF "%INSTALL_ROOT%" == "" (
   set INSTALL_ROOT=C:\Program Files\Trend Micro\
)

set AMSP_INSTALL_FOLDER="%INSTALL_ROOT%AMSP\"
echo RMDIR /S /Q %AMSP_INSTALL_FOLDER%
RMDIR /S /Q %AMSP_INSTALL_FOLDER%

set TMS_INSTALL_FOLDER="%INSTALL_ROOT%Titanium\"
echo RMDIR /S /Q %TMS_INSTALL_FOLDER%
RMDIR /S /Q %TMS_INSTALL_FOLDER%

set UC_INSTALL_FOLDER="%INSTALL_ROOT%UniClient\"
echo RMDIR /S /Q %UC_INSTALL_FOLDER%
RMDIR /S /Q %UC_INSTALL_FOLDER%

set BACKUP_INSTALL_FOLDER="%INSTALL_ROOT%backup\"
IF EXIST %BACKUP_INSTALL_FOLDER% (
   echo RMDIR /S /Q %BACKUP_INSTALL_FOLDER%
   RMDIR /S /Q %BACKUP_INSTALL_FOLDER%
)

set EMPTY_FOLDER=1

FOR /f "usebackq" %%d in (`"dir %INSTALL_ROOT% /ad /b 2>NUL"`) do (
   set EMPTY_FOLDER=0
)

IF "%EMPTY_FOLDER%" == "1" (
   echo Remove folder %INSTALL_ROOT%
   rmdir /Q "%INSTALL_ROOT%"
)

echo.
echo ------------------------------------------------
echo CleanFiles.bat End
echo ------------------------------------------------
echo.